Retrieve a Transaction

Retrieve the details of a single transaction by its transaction ID.

Path Parameters

ParameterTypeRequiredDescription
idstringYesThe unique transaction ID.

Authentication

This endpoint requires your API key.

x-api-key: YOUR_API_KEY

Endpoint

GET /v1/transactions/history/:id
{
  "data": {
    "id": "10b9747e-d97c-45ee-9f4c-1491d3cc08b5",
    "reference": "KYSHI-1778653189299",
    "status": "SUCCESS",
    "type": "CR",
    "paymentType": "Payment Link",
    "currency": "GHS",
    "amount": 24.82,
    "netAmount": 24.82,
    "feeBearer": "CUSTOMER",
    "fees": {
      "total": 6.1,
      "processorFee": 0,
      "vat": 3.15,
      "platformFee": 2.95,
      "stampDuty": 0,
      "others": {}
    },
    "settlement": {
      "amount": 2,
      "currency": "USD"
    },
    "conversionRate": {
      "from": "USD",
      "to": "GHS",
      "rate": 12.41
    },
    "customer": {
      "id": "16a29770-e118-4244-bca9-58c348631853",
      "firstName": "Ayo",
      "lastName": "Kyshi",
      "email": "[email protected]",
      "phoneNumber": null
    },
    "createdAt": "2026-05-13T06:19:49.288Z",
    "updatedAt": "2026-05-13T10:32:13.311Z"
  },
  "status": true,
  "message": "Success",
  "code": 200
}

Response Fields

FieldTypeDescription
idstringUnique transaction ID.
referencestringTransaction reference.
statusstringTransaction status. Example: PENDING, SUCCESS, FAILED.
typestringTransaction direction. CR means credit, DR means debit.
paymentTypestringTransaction source, such as Payment, Payment Link, or Subscription.
currencystringTransaction currency.
amountnumberTransaction amount in the transaction currency.
netAmountnumberAmount credited after applicable merchant-borne fees.
feeBearerstringParty responsible for fees. Either CUSTOMER or MERCHANT.
feesobjectFee breakdown for the transaction.
settlementobjectSettlement amount and settlement currency.
conversionRateobjectFX conversion details, if applicable.
customerobjectCustomer details attached to the transaction.
createdAtstringDate the transaction was created.
updatedAtstringDate the transaction was last updated.

Notes

  • The transaction must belong to the business linked to the API key.
  • The API key determines whether the request is processed in test or live mode.
  • If the transaction is not found, the API returns a 404 response.